Bug 92945 - ColorSuggestionPicker popup's height doesn't get smaller than 100 px
Summary: ColorSuggestionPicker popup's height doesn't get smaller than 100 px
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keishi Hattori
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-01 22:45 PDT by Keishi Hattori
Modified: 2012-08-03 03:49 PDT (History)
3 users (show)

See Also:


Attachments
Proposed UI (58.21 KB, image/png)
2012-08-02 05:25 PDT, Keishi Hattori
no flags Details
Vertically centered (49.11 KB, image/png)
2012-08-02 05:54 PDT, Keishi Hattori
no flags Details
Patch (1.58 KB, patch)
2012-08-02 06:02 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Patch (14.53 KB, patch)
2012-08-02 06:34 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-07 (1.73 MB, application/zip)
2012-08-02 07:59 PDT, WebKit Review Bot
no flags Details
Patch (15.40 KB, patch)
2012-08-02 18:36 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keishi Hattori 2012-08-01 22:45:19 PDT
According to DOMWindow::adjustWindowRect, a window has a min width/height of 100px.
Comment 1 Keishi Hattori 2012-08-02 05:25:20 PDT
Created attachment 156046 [details]
Proposed UI

How about this?
We need three rows to be larger than 100px. I made the color swatches fill the space for the first row because having two empty rows is strange.
Comment 2 Keishi Hattori 2012-08-02 05:54:32 PDT
Created attachment 156056 [details]
Vertically centered

Vertically centered.
Comment 3 Keishi Hattori 2012-08-02 06:02:20 PDT
Created attachment 156057 [details]
Patch
Comment 4 Kent Tamura 2012-08-02 06:10:23 PDT
Comment on attachment 156057 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=156057&action=review

> Source/WebCore/ChangeLog:12
> +        No new tests. Covered in color-suggestion-popup-appearance.html

It doesn't cover cases with one or two rows, right?
Comment 5 Keishi Hattori 2012-08-02 06:34:11 PDT
Created attachment 156068 [details]
Patch
Comment 6 Kent Tamura 2012-08-02 07:18:05 PDT
Comment on attachment 156068 [details]
Patch

ok
Comment 7 WebKit Review Bot 2012-08-02 07:59:00 PDT
Comment on attachment 156068 [details]
Patch

Attachment 156068 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13430010

New failing tests:
platform/chromium/fast/forms/color/color-suggestion-picker-one-row-appearance.html
platform/chromium/fast/forms/color/color-suggestion-picker-two-row-appearance.html
Comment 8 WebKit Review Bot 2012-08-02 07:59:03 PDT
Created attachment 156084 [details]
Archive of layout-test-results from gce-cr-linux-07

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-07  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 9 Keishi Hattori 2012-08-02 18:36:29 PDT
Created attachment 156233 [details]
Patch
Comment 10 WebKit Review Bot 2012-08-03 03:49:52 PDT
Comment on attachment 156233 [details]
Patch

Clearing flags on attachment: 156233

Committed r124593: <http://trac.webkit.org/changeset/124593>
Comment 11 WebKit Review Bot 2012-08-03 03:49:56 PDT
All reviewed patches have been landed.  Closing bug.